Cannot connect to WPA/WPA2, EAP-PEAP, MSCHAPV2 network

Bug #1241986 reported by Alan Pope 🍺🐧🐱 🦄 on 2013-10-19
214
This bug affects 45 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
indicator-network (Ubuntu)
Undecided
Unassigned
network-manager (Ubuntu)
High
Unassigned
ubuntu-system-settings (Ubuntu)
High
Jonas G. Drange
unity8 (Ubuntu)
Undecided
Unassigned

Bug Description

On Ubuntu for Phones final image on mako I can see a network but cannot connect because I never get prompted for the username/password.

<https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations>: "In both the ‘Connect to “{network name}”’ and “Connect to Hidden Network” dialogs, the contents of the dialog, and the behavior of the “Connect” button, should vary depending on the security and authentication methods..."

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
James Tait (jamestait) wrote :

There's probably more at play here than just missing UI - I can connect to the network on my laptop, copy the NetworkManager settings file to my phone, but it still fails to connect.

Mathijs Veen (matv1) wrote :

I got this working with Cyphermox 's help: Here is whats needed in terms of configs:

manually edit /etc/NetworkManager/system-connections/my-peap-network-filename
Here is how it should look:

///

[connection]
id=my-peap-network-filename
uuid=43751181-27bc-4184-a9b9-3adaf9e914eb
type=802-11-wireless

[802-11-wireless-security]
key-mgmt=wpa-eap

[802-11-wireless]
ssid=my-peap-network-filename
mode=infrastructure
mac-address=E8:92:A4:9B:69:42
security=802-11-wireless-security

[802-1x]
eap=peap;
identity=myusername
phase2-auth=mschapv2
password=mypassword

[ipv4]
method=auto

[ipv6]
method=auto

///

set permission of /etc/NetworkManager/system-connections/my-peap-network-filename to 600, and do a touch

thats all. Appearantly there is (at least in my network) no need to actively ignore the cert acceptance.

So i suppose this part is solved. I will do another bugreport as a feature request for a UI for all this. When i do, I will post the buglink here

Sergi (philipsens) wrote :

I've tried making a config file but it didn't work.
I hope this will be fixed/added soon becasue 9/10 of the time im in a building with peap. And in my opinion a smartphone is kind of useless without internet.

Bruno Girin (brunogirin) wrote :

In order to add a bit of context, one example of a network that uses PEAP is Eduroam, which is a Europe-wide university wi-fi network so solvign this would make a lot of students happy. For reference, here are the instructions given by UCL to their students for laptops: http://www.ucl.ac.uk/isd/how-to/wifi-networks/eduroam-connection-linux-freebsd

Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Jonas G. Drange (jonas-drange)
importance: Undecided → High
status: New → In Progress
Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
importance: Undecided → High
milestone: none → ww21-2015
status: New → In Progress
Mathijs Veen (matv1) wrote :

the work-around mentioned above still works for me. I just verified.
I suspect that for those that find it not to work, this will be related to how certificates are handled. Specifically if the network demands they be present on the device. That should also be taken into account.

Changed in network-manager (Ubuntu):
importance: Undecided → High
assignee: nobody → Matthew Paul Thomas (mpt)
Changed in network-manager (Ubuntu):
status: Confirmed → In Progress
Matthew Paul Thomas (mpt) wrote :

I've done wireframes and explanations for some of the security+authentication variations. <https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations> The rest coming soon.

Daniel (punke-daniel) wrote :

@matv1
The above workaround works for me as well at FU Berlin.
But I may not have to mention the disadvantages of cleartype passwords in config-files ;)
Looking forward to see the gui for this soon.
Thank you very much for this though.

Matthew Paul Thomas (mpt) wrote :
Changed in network-manager (Ubuntu):
assignee: Matthew Paul Thomas (mpt) → nobody
status: In Progress → Triaged
description: updated
Changed in canonical-devices-system-image:
milestone: ww21-2015 → ww26-2015

Hi all,

I wanted to add that many customers have reported the lack of connectivity with Eduroam and WPA2 Enterprise. Hope this to be implemented soon =)

This also affects my Ubuntu Phone on Aquaris 4.5 when trying to connect to a WPA2 wifi network. I think, it would be good, if this is fixed soon.

Jonas G. Drange (jonas-drange) wrote :

Ubuntu System Settings does not provide the “Connect to ‘{network name}’” dialogue, so affecting unity8 since it does.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.10.20150703-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.10.20150703-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Joerg Berroth ]
  * Added support for 802-1x wireless network configurations. (LP:
    #1241986)

 -- CI Train Bot <email address hidden> Fri, 03 Jul 2015 16:09:00 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Pat McGowan (pat-mcgowan) wrote :

trying to land this now

Changed in canonical-devices-system-image:
milestone: ww26-2015 → ww28-2015
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-network (Ubuntu):
status: New → Confirmed
Changed in unity8 (Ubuntu):
status: New → Confirmed
Changed in canonical-devices-system-image:
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Fix Released → In Progress
Changed in canonical-devices-system-image:
status: In Progress → Fix Released
Giuseppe (giuseppe-congedo) wrote :

Hi all,

I'm new a newbie in Ubuntu Touch (one month so far with MX4) and I love it so much. However, I've been having problems in using the WiFi, both before and after the release of OTA6. Specifically, I can't connect up to eduroam (and networks like that) using WPA & WPA2 Enterprise, PEAP, MSCHAPv2. Once I fill in all the details, the button "Connect" is greyed out and I can't proceed any further. I've tried to save the network settings in /etc/NetworkManager/system-connections/ but nothing happens. Please help me with this as I can't use WiFi at work.

Thanks for your help!

Jonas G. Drange (jonas-drange) wrote :

Hi Giuseppe,

if the "Connect" button is grayed out, maybe you have not added a password?

If you save the network settings to /etc/NetworkManager/system-connections you have to restart NetworkManager.

Jo Jonas,

many thanks for your reply. I've filled in all fields, but it's still
greyed out. I've also restarted the network manager with " sudo service
network-manager restart", but it doesn't help. Thanks.

On 28/08/2015 11:59, Jonas G. Drange wrote:
> Hi Giuseppe,
>
> if the "Connect" button is grayed out, maybe you have not added a
> password?
>
> If you save the network settings to /etc/NetworkManager/system-
> connections you have to restart NetworkManager.
>

I have the same problem as Guiseppe with both eduroam and telenetwifree.
Connect box is greyed out.

2015-08-28 13:21 GMT+02:00 Giuseppe <email address hidden>:

> Jo Jonas,
>
> many thanks for your reply. I've filled in all fields, but it's still
> greyed out. I've also restarted the network manager with " sudo service
> network-manager restart", but it doesn't help. Thanks.
>
>
> On 28/08/2015 11:59, Jonas G. Drange wrote:
> > Hi Giuseppe,
> >
> > if the "Connect" button is grayed out, maybe you have not added a
> > password?
> >
> > If you save the network settings to /etc/NetworkManager/system-
> > connections you have to restart NetworkManager.
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1241986
>
> Title:
> Cannot connect to WPA/WPA2, EAP-PEAP, MSCHAPV2 network
>
> Status in Canonical System Image:
> Fix Released
> Status in indicator-network package in Ubuntu:
> Confirmed
> Status in network-manager package in Ubuntu:
> Triaged
> Status in ubuntu-system-settings package in Ubuntu:
> Fix Released
> Status in unity8 package in Ubuntu:
> Confirmed
>
> Bug description:
> On Ubuntu for Phones final image on mako I can see a network but
> cannot connect because I never get prompted for the username/password.
>
> <https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations>:
> "In both the ‘Connect to “{network name}”’ and “Connect to Hidden
> Network” dialogs, the contents of the dialog, and the behavior of the
> “Connect” button, should vary depending on the security and
> authentication methods..."
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1241986/+subscriptions
>

Jonas G. Drange (jonas-drange) wrote :

Do any of you have a screenshot you can attach to this bug:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-system-settings/+bug/1489865

Let's maybe move the discussion to that bug.

I'll add a screenshot this evening. I don't have such a network available
at the moment.

2015-08-28 14:29 GMT+02:00 Jonas G. Drange <email address hidden>:

> Do any of you have a screenshot you can attach to this bug:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-system-settings/+bug/1489865
>
> Let's maybe move the discussion to that bug.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1241986
>
> Title:
> Cannot connect to WPA/WPA2, EAP-PEAP, MSCHAPV2 network
>
> Status in Canonical System Image:
> Fix Released
> Status in indicator-network package in Ubuntu:
> Confirmed
> Status in network-manager package in Ubuntu:
> Triaged
> Status in ubuntu-system-settings package in Ubuntu:
> Fix Released
> Status in unity8 package in Ubuntu:
> Confirmed
>
> Bug description:
> On Ubuntu for Phones final image on mako I can see a network but
> cannot connect because I never get prompted for the username/password.
>
> <https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations>:
> "In both the ‘Connect to “{network name}”’ and “Connect to Hidden
> Network” dialogs, the contents of the dialog, and the behavior of the
> “Connect” button, should vary depending on the security and
> authentication methods..."
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1241986/+subscriptions
>

The check for enabling the the connect button is ssid not empty or password
less then 8 characters. Any true for you?
Do you connect over 'connect to hidden network' in systemsettings or via
click in the network indicator?
Am Freitag, 28. August 2015 13:36:54 CEST schrieb Merlijn Sebrechts:
> I have the same problem as Guiseppe with both eduroam and telenetwifree.
> Connect box is greyed out.
>
> 2015-08-28 13:21 GMT+02:00 Giuseppe <email address hidden>:
>
>> Jo Jonas,
>>
>> many thanks for your reply. I've filled in all fields, but it's still
>> greyed out. I've also restarted the network manager with " sudo service
>> network-manager restart", but it doesn't help. Thanks.
>>
>>
>> On 28/08/2015 11:59, Jonas G. Drange wrote:
>> > Hi Giuseppe,
>> >
>> > if the "Connect" button is grayed out, maybe you have not added a
>> > password?
>> >
>> > If you save the network settings to /etc/NetworkManager/system-
>> > connections you have to restart NetworkManager.
>> >
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1241986
>>
>> Title:
>> Cannot connect to WPA/WPA2, EAP-PEAP, MSCHAPV2 network
>>
>> Status in Canonical System Image:
>> Fix Released
>> Status in indicator-network package in Ubuntu:
>> Confirmed
>> Status in network-manager package in Ubuntu:
>> Triaged
>> Status in ubuntu-system-settings package in Ubuntu:
>> Fix Released
>> Status in unity8 package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> On Ubuntu for Phones final image on mako I can see a network but
>> cannot connect because I never get prompted for the username/password.
>>
>> <https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations>:
>> "In both the ‘Connect to “{network name}”’ and “Connect to Hidden
>> Network” dialogs, the contents of the dialog, and the behavior of the
>> “Connect” button, should vary depending on the security and
>> authentication methods..."
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1241986/+subscriptions
>>
>

--
Versandt, mit Dekko von meinem Ubuntu-Gerät

Giuseppe (giuseppe-congedo) wrote :

Hi, the password is indeed less then 8 characters for me. I tried both
'connect to hidden network' and click in the network indicator and it
didn't work. Thanks.

On 28/08/2015 14:01, JkB wrote:
> The check for enabling the the connect button is ssid not empty or password
> less then 8 characters. Any true for you?
> Do you connect over 'connect to hidden network' in systemsettings or via
> click in the network indicator?
> Am Freitag, 28. August 2015 13:36:54 CEST schrieb Merlijn Sebrechts:
>> I have the same problem as Guiseppe with both eduroam and telenetwifree.
>> Connect box is greyed out.
>>
>> 2015-08-28 13:21 GMT+02:00 Giuseppe <email address hidden>:
>>
>>> Jo Jonas,
>>>
>>> many thanks for your reply. I've filled in all fields, but it's still
>>> greyed out. I've also restarted the network manager with " sudo service
>>> network-manager restart", but it doesn't help. Thanks.
>>>
>>>
>>> On 28/08/2015 11:59, Jonas G. Drange wrote:
>>>> Hi Giuseppe,
>>>>
>>>> if the "Connect" button is grayed out, maybe you have not added a
>>>> password?
>>>>
>>>> If you save the network settings to /etc/NetworkManager/system-
>>>> connections you have to restart NetworkManager.
>>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1241986
>>>
>>> Title:
>>> Cannot connect to WPA/WPA2, EAP-PEAP, MSCHAPV2 network
>>>
>>> Status in Canonical System Image:
>>> Fix Released
>>> Status in indicator-network package in Ubuntu:
>>> Confirmed
>>> Status in network-manager package in Ubuntu:
>>> Triaged
>>> Status in ubuntu-system-settings package in Ubuntu:
>>> Fix Released
>>> Status in unity8 package in Ubuntu:
>>> Confirmed
>>>
>>> Bug description:
>>> On Ubuntu for Phones final image on mako I can see a network but
>>> cannot connect because I never get prompted for the username/password.
>>>
>>> <https://wiki.ubuntu.com/Networking#wi-fi-authentication-variations>:
>>> "In both the ‘Connect to “{network name}”’ and “Connect to Hidden
>>> Network” dialogs, the contents of the dialog, and the behavior of the
>>> “Connect” button, should vary depending on the security and
>>> authentication methods..."
>>>
>>> To manage notifications about this bug go to:
>>>
>>> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1241986/+subscriptions
>>>
>

JkB (joergberroth) wrote :

Well, we just took the minimum password length from other authentification modes. In general, your paasword is safer the longer it is. So, as a workaround you should change your passwprd to a longer one.
One has to discuss then, if that check can be disabled for future releases.

Hi, thanks. Although I agree I could change the password to make it
works for now, there's no point in having a minimum length set to an
arbitrary 8 characters. I think you agree that I as a user should have
known this in advance. Ultimately, security is up to the user. Thanks
for looking at this.

On 28/08/2015 19:17, JkB wrote:
> Well, we just took the minimum password length from other authentification modes. In general, your paasword is safer the longer it is. So, as a workaround you should change your passwprd to a longer one.
> One has to discuss then, if that check can be disabled for future releases.
>

Giuseppe (giuseppe-congedo) wrote :

Hi, I've got a quick update. I've finally sorted out the connection
problem, i.e. I've changed the network password to a minimum of 8
characters. It works OK the first time I connect up, but the second time
it keeps asking me the password again and again. So I have to manually
delete the connection and the same as above. I don't know whether this
is a bug or something I'm missing out. Hope you can help. Cheers, -G

Have you checked "remember password" ?

Am Samstag, 5. September 2015 14:30:00 CEST schrieb Giuseppe:
> Hi, I've got a quick update. I've finally sorted out the connection
> problem, i.e. I've changed the network password to a minimum of 8
> characters. It works OK the first time I connect up, but the second time
> it keeps asking me the password again and again. So I have to manually
> delete the connection and the same as above. I don't know whether this
> is a bug or something I'm missing out. Hope you can help. Cheers, -G
>

--
Versandt, mit Dekko von meinem Ubuntu-Gerät

Giuseppe (giuseppe-congedo) wrote :

Yes, I've checked that. Thanks.

On 05/09/2015 13:43, JkB wrote:
> Have you checked "remember password" ?
>
> Am Samstag, 5. September 2015 14:30:00 CEST schrieb Giuseppe:
>> Hi, I've got a quick update. I've finally sorted out the connection
>> problem, i.e. I've changed the network password to a minimum of 8
>> characters. It works OK the first time I connect up, but the second time
>> it keeps asking me the password again and again. So I have to manually
>> delete the connection and the same as above. I don't know whether this
>> is a bug or something I'm missing out. Hope you can help. Cheers, -G
>>
>

Changed in unity8 (Ubuntu):
status: Confirmed → Incomplete
Aron Xu (happyaron) on 2016-12-20
tags: added: nm-touch

This was fixed a long time ago

Changed in unity8 (Ubuntu):
status: Incomplete → Fix Released
Changed in network-manager (Ubuntu):
status: Triaged → Fix Released
Changed in indicator-network (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers